Loading...
Searching...
No Matches
Float/Fixed point Complex FFT Destroy functions
Signal Processing Functions » Float/Fixed point Complex FFT

User-callable function to destroy all necessary storage space for the fft. More...

## Functions

void | ne10_fft_destroy_c2c_float32 (ne10_fft_cfg_float32_t cfg)
void | ne10_fft_destroy_c2c_int32 (ne10_fft_cfg_int32_t cfg)
void | ne10_fft_destroy_c2c_int16 (ne10_fft_cfg_int16_t cfg)

## Detailed Description

User-callable function to destroy all necessary storage space for the fft.

Parameters

  [in] | cfg | point to the FFT config memory. This memory is allocaed with malloc by Ne10.

## Function Documentation

## ne10_fft_destroy_c2c_float32()

void ne10_fft_destroy_c2c_float32 | ( | ne10_fft_cfg_float32_t | cfg | ) |

Definition at line 530 of file NE10_fft.c.

## ne10_fft_destroy_c2c_int16()

void ne10_fft_destroy_c2c_int16 | ( | ne10_fft_cfg_int16_t | cfg | ) |

Definition at line 540 of file NE10_fft.c.

## ne10_fft_destroy_c2c_int32()

void ne10_fft_destroy_c2c_int32 | ( | ne10_fft_cfg_int32_t | cfg | ) |

Definition at line 535 of file NE10_fft.c.